import type { CalleeBroker } from '../brokers';
export declare class CalleeAgent {
    protected readonly target: any;
    protected readonly targetKey: string;
    protected readonly broker: CalleeBroker;
    constructor(target: any, options: CalleeAgent.Options);
    protected onMessage: CalleeBroker.MessageHandler;
    inject(): void;
    eject(): void;
}
export declare namespace CalleeAgent {
    interface Options {
        targetKey: string;
        broker: CalleeBroker;
    }
}
